
# Copyright (C) 2014 - 2020 Honda Research Institute Japan Co., Ltd.
# All rights reserved.
# HARK was developed by researchers in Okuno Laboratory
# at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
# 
# Licensed under the HARK license, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# https://www.hark.jp/notice/HARK_License_Agreement.pdf

import libharkio3.matrix
import libharkio3.log
import libharkio3.config
import libharkio3.neighbors
import libharkio3.position
import libharkio3.positions
import libharkio3.transferfunction
import libharkio3.xml

mat1 = libharkio3.matrix.harkio_Matrix_ones("int32", 10, 10)
print dir(mat1)
mat2 = libharkio3.matrix.harkio_Matrix_ones("int32", 10, 10)
print dir(mat2)

mat3 = mat1 + mat2
print mat3
mat2 = mat1 - mat2
print mat2

mat4 = libharkio3.matrix.harkio_Matrix("../testdata/test.mat")
print mat4

tf = libharkio3.transferfunction.harkio_TransferFunction_fromFile("kinect.zip", "transfer function")
print tf.cfg
print tf.poses

mat4 = libharkio3.matrix.harkio_Matrix("transferFunction/localization/tf00000.mat")
print mat4.data
print dir(mat4.data)
#print mat4.data.complexdata

print tf.poses
print dir(tf.poses)

mat4 = libharkio3.matrix.harkio_Matrix_zeros("int32", 3, 3)
print mat4
mat4[(0, 0)] = 3
mat4[(1, 1)] = 3.5
mat4[(2, 2)] = 3 + 2j
print mat4
